%define ver 0.3.10
%define prefix /usr
%define infodir %{prefix}/info

Summary: GnuPG Made Easy
Name: gpgme
Version: %{ver}
Release: b1
Group: Development/Libraries
Source: ftp://ftp.gnupg.org/pub/gcrypt/alpha/gpgme/%{name}-%{ver}.tar.gz
Copyright: GPL2
Packager: Yoichi Imai <yoichi@silver-forest.com>
URL: http://www.gnupg.org/gpgme.html
Requires: gnupg
BuildRoot: /var/tmp/%{name}-root

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption, 
decryption, signing, signature verification and key management.

%package devel
Summary: Development tools for GnuPG Made Easy
Group: Development/Libraries
Requires: gpgme = %{PACKAGE_VERSION}
PreReq: info

%description devel
This package has development files for gpgme.

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
./configure --prefix=%{prefix} --infodir=%{infodir}
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} infodir=$RPM_BUILD_ROOT%{infodir} install
gzip -9 $RPM_BUILD_ROOT%{infodir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{infodir}/gpgme.info.gz %{infodir}/dir

%postun devel
/sbin/install-info --delete %{infodir}/gpgme.info.gz %{infodir}/dir

%files
%defattr (-,root,root)
%doc README README-alpha TODO COPYING INSTALL ChangeLog NEWS
%{prefix}/lib/libgpgme.so.*

%files devel
%defattr (-,root,root)
%{prefix}/include/gpgme.h
%{prefix}/lib/libgpgme.*a
%{prefix}/bin/gpgme-config
%{prefix}/share/aclocal/gpgme.m4
%{infodir}/*info*
%{prefix}/lib/lib*.so

%changelog
* Sat Sep 14 2002 Yoichi Imai <yoichi@silver-forest.com>
- updated to 0.3.10

* Fri Aug 2 2002 Yoichi Imai <yoichi@silver-forest.com>
- first release
